xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cameron McCormack <...@mcc.id.au>
Subject Re: Setting Up Java Class Packages
Date Mon, 19 Nov 2007 22:16:13 GMT
Hi Joe.

Joe Cox:
> I am trying to set up Java for Batik with the NetBeans IDE. I seen to
> have problems with conflicting source levels of some of the dependant
> libraries.
> 
> When I try to build with Source Level 1.6 I get the following type errors:
> 
> E:\wc3\org\w3c\app\db\TableObject.java:283: as of release 5, 'enum' is
> a keyword, and may not be used as an identifier
> (use -source 1.4 or lower to use 'enum' as an identifier)
> 
>         Enumeration enum = hdata.keys();
>                     ^
…
> Are there any suggestions on how to fix this problem? The only
> w3c.org.app packages that I have found are 7 years old.

I’m not sure exactly what the org.w3c.app classes are (they seem to be
some sort of database classes), but they aren’t required by Batik.  All
of the org.w3c.* interfaces that are required are included in the
distribution (in lib/xml-apis.jar and lib/xml-apis-ext.jar).

-- 
Cameron McCormack, http://mcc.id.au/
	xmpp:heycam@jabber.org  ▪  ICQ 26955922  ▪  MSN cam@mcc.id.au

---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: batik-users-help@xmlgraphics.apache.org


Mime
View raw message